Subject: Re: bug in statfs
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: Thu, 04 Dec 2003 09:27:14 -0500
Newsgroups: gmane.os.cygwin

The following message is a courtesy copy of an article
that has been posted to gmane.os.cygwin as well.

> * Corinna Vinschen <[email-masked]> [2003-12-04 10:41:37 +0100]:
>
> On Wed, Dec 03, 2003 at 12:03:41PM -0500, Sam Steingold wrote:
>> POSIX specifies struct statvfs to contain slots f_frsize, f_flag,
>> f_favail, and f_namemax and to be declared in <sys/statvfs.h>:
>> <http://www.opengroup.org/onlinepubs/007904975/basedefs/sys/statvfs.h.html>
>> 
>> Cygwin defines struct statfs without slots f_frsize, f_flag, and
>> f_favail, and with f_namelen instead of f_namemax, in sys/vfs.h (also
>> included from sys/statfs.h) and does not come with sys/statvfs.h.
>
> Sure.  It's struct *statfs*, not struct *statvfs*.  We also have a
> statfs system call, not statvfs.  So you're talking about adding a new
> system call.

yes, I realized that myself
(http://article.gmane.org/gmane.os.cygwin:41294).

>> Any change this might get rectified in the nearest future?
>
> Any important information you can't get from statfs?  Otherwise it's
> a matter of time and interest, as usual.

I cannot get f_frsize, f_flag, and f_favail.
This is also a portability issue.

PS.  Is there a POSIX way to get the list of mount points, lime mount(1)
     and df(1) do?  It appears that linux has /proc/mounts and most
     unixes have /etc/mtab, but is there a system call?

thanks.

-- 
Sam Steingold (http://www.podval.org/~sds) running w2k
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.honestreporting.com>
History doesn't repeat itself, but historians do repeat each other.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/